/**
 * 版权所有 ©2019 莱欧软件有限公司
 * 工程名：SpringMVCLion
 * 文件名：RoleDao.java
 * 创建日期：2019年2月28日 上午9:06:20
 * 作者：chengpengfei
 */
package com.lion.dao;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

import jodd.util.StringUtil;

/**
 * 类描述 角色
 * @author chengpengfei
 * @since 2019年2月28日
 */
@Repository
public class RoleDao {
	@Autowired
	private JdbcTemplate jdbc;
	
	/**
	 * 方法描述 查询角色
	 * @author chengpengfei
	 * @since 2019年2月28日
	 * @return	
	 */
	public List<Map<String,Object>> getRole(){
		String sql= "select id,name,ifnull(content,'') content,adduserid as userid from role where id!=? ";
		return jdbc.queryForList(sql,new Object[]{0});
	}
	public List<Map<String,Object>> checkRoleid(String roleid){
		String sql = "select id from org_user where roleid = ? ";
		return jdbc.queryForList(sql,new Object[]{roleid});
	}
	/**
	 * 方法描述 删除角色
	 * @author chengpengfei
	 * @since 2019年2月28日
	 * @param id
	 * @return	
	 */
	public int deleteRole(String  roleId){
		String sql="delete from role where id=?";
		return jdbc.update(sql,new Object[]{roleId});
	}
	/**
	 * 方法描述 添加用户
	 * @author chengpengfei
	 * @since 2019年2月28日
	 * @return	
	 */
	public int addRole(String name,String content,String adduserid){
		String sql="insert into  role(name,content,adduserid,level) values(?,?,?,?) ";
		return jdbc.update(sql,new Object[]{name,content,adduserid,""});
	}
	/**
	 * 方法描述 修改角色信息
	 * @author ASUS
	 * @since 2019年2月28日
	 * @param name
	 * @param id
	 * @return	
	 */
	public int updateRole(String name,String content,String id){
		String sql="update role set name=?,content=? where id=?";
		return jdbc.update(sql,new Object[]{name,content,id});
	}
	/**
	 * 
	 * 方法描述  校验角色名称是否重复
	 * @author mt.W
	 * @since 2019年7月2日
	 * @param name
	 * @param id
	 * @return
	 */
	public List<Map<String,Object>> checkRoleName(String name,String id){
		String sql = "select name from role where name = ? ";
		if(StringUtil.isNotEmpty(id)){
			sql += " and id !="+id;
		}
		return jdbc.queryForList(sql,new Object[]{name});
	}
}
